// vim: et:ts=4:sw=4:sts=4:ft=javascript
'use strict';
// fixme: wouldn't it be better to let the elements be,
// rather then $element, $content, and potentially others,
// 0, 1, 2, etc, so that append would append 0, and appendTo
// would append (length - 1)?
/*@
Ox.Container <f> Container (depricated)
    () ->              <o> Container object
    (options) ->       <o> Container object
    (options, self) -> <o> Container object
    options <o> Options object
    self    <o> Shared private variable
@*/
Ox.Container = function(options, self) {
    // fixme: to be deprecated
    var that = Ox.Element({}, self)
        .options(options || {})
        .addClass('OxContainer');
    // fixme: we used to pass self _again_ to the content,
    // which obviously makes clicks trigger twice
    // removed for now, but may break something else.
    // (maybe, if needed, content can pass a container event along)
    that.$content = Ox.Element({})
        .options(options || {})
        .addClass('OxContent')
        .appendTo(that);
    return that;
};
